* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background: linear-gradient(135deg, #050816, #0b1226);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 40px 20px;
}

.container {
    width: 100%;
    max-width: 700px;
    background: rgba(255, 255, 255, 0.08);
    border: 1px solid rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(18px);
    border-radius: 20px;
    padding: 40px;
    box-shadow: 0 0 35px rgba(0, 255, 255, 0.15);
    text-align: center;
}

.logo {
    width: 90px;
    margin-bottom: 20px;
}

h1 {
    font-size: 2.2rem;
    color: #00ffff;
    margin-bottom: 10px;
}

.container p {
    color: #d8d8d8;
    margin-bottom: 35px;
    line-height: 1.6;
}

form {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

input,
select,
textarea {
    width: 100%;
    padding: 15px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 12px;
    background: rgba(255, 255, 255, 0.06);
    color: white;
    outline: none;
    font-size: 16px;
    transition: .3s;
}

input::placeholder,
textarea::placeholder {
    color: #cfcfcf;
}

input:focus,
select:focus,
textarea:focus {
    border-color: #00ffff;
    box-shadow: 0 0 15px rgba(0, 255, 255, 0.35);
}

select option {
    background: #0b1226;
    color: white;
}

textarea {
    resize: vertical;
    min-height: 180px;
}

button {
    padding: 16px;
    border: none;
    border-radius: 12px;
    background: #00d9ff;
    color: white;
    font-size: 17px;
    font-weight: bold;
    cursor: pointer;
    transition: .3s;
}

button:hover {
    background: #00bcd4;
    transform: translateY(-3px);
    box-shadow: 0 0 20px rgba(0, 255, 255, .4);
}

@media (max-width:768px) {
    .container {
        padding: 25px;
    }

    h1 {
        font-size: 1.8rem;
    }

    input,
    select,
    textarea {
        font-size: 15px;
    }
}

.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .75);
    backdrop-filter: blur(8px);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.popup-content {
    width: 90%;
    max-width: 500px;
    background: rgba(255, 255, 255, .08);
    border: 1px solid rgba(255, 255, 255, .15);
    backdrop-filter: blur(18px);
    border-radius: 20px;
    padding: 40px;
    text-align: center;
    color: white;
    animation: popup .35s ease;
}

.popup-icon {
    font-size: 65px;
    margin-bottom: 15px;
}

.popup-content h2 {
    color: #00ffff;
    margin-bottom: 15px;
}

.popup-content p {
    line-height: 1.8;
    color: #d9d9d9;
    margin-bottom: 30px;
}

.popup-content button {
    width: 100%;
}

@keyframes popup {
    from {
        transform: scale(.8);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}